Bug 248710 - Local keyboard DoS through LED switching
Summary: Local keyboard DoS through LED switching
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=redhat,reported=200...
Keywords:
Depends On: 461232 461233 461239 461240
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 12:40 UTC by Marcel Holtmann
Modified: 2011-09-28 17:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 17:14:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue (3.27 KB, patch)
2008-09-05 08:49 UTC, Eugene Teo (Security Response)
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:1017 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-12-16 07:33:56 UTC
Red Hat Product Errata RHSA-2009:0014 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-01-14 18:05:34 UTC

Description Marcel Holtmann 2007-07-18 12:40:16 UTC
On some boxes keyboard controllers are too slow to withstand continuous flow of
requests to turn keyboard LEDs on and off and start losing some keypresses or
even all of them. This causes a local denial of service situation.

Comment 5 Eugene Teo (Security Response) 2008-09-05 08:49:03 UTC
Created attachment 315849 [details]
Upstream patch for this issue

Comment 6 Eugene Teo (Security Response) 2008-09-05 09:01:23 UTC
Reproducer:
while true; do setleds +num; setleds -num; done

http://lkml.org/lkml/2007/6/15/22

Comment 13 Kurt Seifried 2011-09-28 17:14:18 UTC
This issue has been addressed in following products:

  Red Hat Linux Enterprise 4
  Red Hat Linux Enterprise 4.7.z
  Red Hat Linux Enterprise 5

Via RHSA-2009-0014 available at https://rhn.redhat.com/errata/RHSA-2009-0014.html and RHSA-2008:1017 available at https://rhn.redhat.com/errata/RHSA-2008-1017.html


Note You need to log in before you can comment on or make changes to this bug.